Index: /code/trunk/src/core/CommandEvaluation.cc
===================================================================
--- /code/trunk/src/core/CommandEvaluation.cc	(revision 1878)
+++ /code/trunk/src/core/CommandEvaluation.cc	(revision 1879)
@@ -220,5 +220,5 @@
     void CommandEvaluation::setEvaluatedParameter(unsigned int index, MultiType param)
     {
-        if (index >= 0 && index < MAX_FUNCTOR_ARGUMENTS)
+        if (index < MAX_FUNCTOR_ARGUMENTS)
             this->param_[index] = param;
     }
@@ -226,5 +226,5 @@
     MultiType CommandEvaluation::getEvaluatedParameter(unsigned int index) const
     {
-        if (index >= 0 && index < MAX_FUNCTOR_ARGUMENTS)
+        if (index < MAX_FUNCTOR_ARGUMENTS)
             return this->param_[index];
 
Index: /code/trunk/src/core/Executor.cc
===================================================================
--- /code/trunk/src/core/Executor.cc	(revision 1878)
+++ /code/trunk/src/core/Executor.cc	(revision 1879)
@@ -132,5 +132,5 @@
     Executor& Executor::setDescriptionParam(unsigned int param, const std::string& description)
     {
-        if (param >= 0 && param < MAX_FUNCTOR_ARGUMENTS)
+        if (param < MAX_FUNCTOR_ARGUMENTS)
         {
             if (!this->bAddedDescriptionParam_[param])
@@ -150,5 +150,5 @@
     const std::string& Executor::getDescriptionParam(unsigned int param) const
     {
-        if (param >= 0 && param < MAX_FUNCTOR_ARGUMENTS)
+        if (param < MAX_FUNCTOR_ARGUMENTS)
             return GetLocalisation(this->descriptionParam_[param]);
 
@@ -234,5 +234,5 @@
     Executor& Executor::setDefaultValue(unsigned int index, const MultiType& param)
     {
-        if (index >= 0 && index < MAX_FUNCTOR_ARGUMENTS)
+        if (index < MAX_FUNCTOR_ARGUMENTS)
         {
             this->defaultValue_[index] = param;
Index: /code/trunk/src/core/Executor.h
===================================================================
--- /code/trunk/src/core/Executor.h	(revision 1878)
+++ /code/trunk/src/core/Executor.h	(revision 1879)
@@ -198,5 +198,5 @@
             inline MultiType getDefaultValue(unsigned int index) const
             {
-                if (index >= 0 && index < MAX_FUNCTOR_ARGUMENTS)
+                if (index < MAX_FUNCTOR_ARGUMENTS)
                     return this->defaultValue_[index];
 
@@ -207,5 +207,5 @@
             inline bool defaultValueSet(unsigned int index) const
             {
-                if (index >= 0 && index < MAX_FUNCTOR_ARGUMENTS)
+                if (index < MAX_FUNCTOR_ARGUMENTS)
                     return this->bAddedDefaultValue_[index];
 
Index: /code/trunk/src/core/Functor.h
===================================================================
--- /code/trunk/src/core/Functor.h	(revision 1878)
+++ /code/trunk/src/core/Functor.h	(revision 1879)
@@ -105,5 +105,5 @@
             inline MultiType getReturnvalue() const { return this->returnedValue_; }
 
-            std::string getTypenameParam(unsigned int param) const { return (param >= 0 && param < 5) ? this->typeParam_[param] : ""; }
+            std::string getTypenameParam(unsigned int param) const { return (param < 5) ? this->typeParam_[param] : ""; }
             std::string getTypenameReturnvalue() const { return this->typeReturnvalue_; }
 
Index: /code/trunk/src/orxonox/overlays/console/InGameConsole.cc
===================================================================
--- /code/trunk/src/orxonox/overlays/console/InGameConsole.cc	(revision 1878)
+++ /code/trunk/src/orxonox/overlays/console/InGameConsole.cc	(revision 1879)
@@ -328,6 +328,4 @@
         if (pos > maxCharsPerLine_)
             pos = maxCharsPerLine_;
-        else if (pos < 0)
-            pos = 0;
 
         this->consoleOverlayCursor_->setCaption(std::string(pos,' ') + cursorSymbol_);
Index: /code/trunk/src/orxonox/overlays/console/InGameConsole.h
===================================================================
--- /code/trunk/src/orxonox/overlays/console/InGameConsole.h	(revision 1878)
+++ /code/trunk/src/orxonox/overlays/console/InGameConsole.h	(revision 1879)
@@ -62,5 +62,5 @@
 
     private: // functions
-        InGameConsole(const InGameConsole& other) {}
+        InGameConsole(const InGameConsole& other);
 
         void activate();
